Get storefront capabilities
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"storefrontId": 4503599627370495,
"agents": [
{
"sourceId": "<string>",
"sourceName": "<string>",
"executionType": "<string>",
"agentName": "<string>",
"requiresCredentials": true,
"probeable": true,
"probeStatus": "reachable",
"message": "<string>",
"capabilities": {
"version": "<string>",
"tools": [
"<string>"
],
"protocols": [
"<string>"
],
"features": {},
"accountResolution": "explicit_account_id",
"requireOperatorAuth": true,
"defaultBilling": "<string>",
"supportedBillings": [
"<string>"
],
"reportingDeliveryMethods": [
"webhook"
],
"sandboxSupported": true,
"synthetic": true,
"publisherDomains": [
"<string>"
],
"channels": [
"<string>"
],
"countries": [
"<string>"
]
}
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefronts
Get storefront capabilities
Inspect source-level capability diagnostics for a buyer-visible storefront.
GET
/
storefronts
/
{storefrontId}
/
capabilities
Get storefront capabilities
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"storefrontId": 4503599627370495,
"agents": [
{
"sourceId": "<string>",
"sourceName": "<string>",
"executionType": "<string>",
"agentName": "<string>",
"requiresCredentials": true,
"probeable": true,
"probeStatus": "reachable",
"message": "<string>",
"capabilities": {
"version": "<string>",
"tools": [
"<string>"
],
"protocols": [
"<string>"
],
"features": {},
"accountResolution": "explicit_account_id",
"requireOperatorAuth": true,
"defaultBilling": "<string>",
"supportedBillings": [
"<string>"
],
"reportingDeliveryMethods": [
"webhook"
],
"sandboxSupported": true,
"synthetic": true,
"publisherDomains": [
"<string>"
],
"channels": [
"<string>"
],
"countries": [
"<string>"
]
}
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Storefront ID
Required range:
0 < x <= 9007199254740991Response
Get storefront capabilities